<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<div id="container" data-matches="{{ key }}" style="min-width: 300px; height: 400px; margin: 0 auto"></div>
<script>
    var container=document.querySelector("#container");
    var runscorer=JSON.parse(container.dataset.matches);
    console.log(runscorer)
    Highcharts.chart('container', {
          chart: {
            type: 'column'
          },
          title: {
            text: "Highest run scorer"
          },
          xAxis: {
            categories: runscorer.data.map(object=>object.batsman),
            title: {
              text: 'batsman'
            }
          },
          yAxis: {
            min: 0,
            title: {
              text: 'batsman runs'
            }
          },
          legend: {
            enabled: false
          },
          tooltip: {
            pointFormat: 'batsman runs: <b>{point.y:.1f} </b>'
          },
          series: [{
            name: 'Population',
            data: runscorer.data.map(object=>object.batsman_runs),
            dataLabels: {
              enabled: true,
              rotation: -90,
              color: '#FFFFFF',
              align: 'right',
              format: '{point.y:.1f}', // one decimal
              y: 10, // 10 pixels down from the top
              style: {
                fontSize: '13px',
                fontFamily: 'Verdana, sans-serif'
              }
            }
          }]
        });
</script>
</body>
</html>